LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - General
User Name
Password
Linux - General This Linux forum is for general Linux questions and discussion.
If it is Linux Related and doesn't seem to fit in any other forum then this is the place.

Notices


Reply
  Search this Thread
Old 06-25-2006, 08:48 AM   #1
jborn
Member
 
Registered: Oct 2005
Distribution: FC 8
Posts: 53

Rep: Reputation: 15
Missing Dependency for libquicktime


I just tried to run yum to update after upgrading FC4 to FC5.

yum --disablerepo=atrpms update (I have mythtv so I have been disabling atrpms)

It ended up giving me a missing dependacy.

--> Processing Dependency: libavcodec.so.51()(64bit) for package: libquicktime
--> Processing Dependency: libavutil.so.49()(64bit) for package: libquicktime
--> Finished Dependency Resolution
Error: Missing Dependency: libavcodec.so.51()(64bit) is needed by package libqui cktime
Error: Missing Dependency: libavutil.so.49()(64bit) is needed by package libquic ktime


Trying to find dependencies via rpm queries led to a dead end:

rpm -qa --queryformat '%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}.rpm\n' 'libavcodec*'
rpm -qa --queryformat '%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}.rpm\n' 'libavutil*'

Both queries had no results

What can I do?
 
Old 06-25-2006, 09:16 PM   #2
HappyTux
Senior Member
 
Registered: Mar 2003
Location: Nova Scotia, Canada
Distribution: Debian AMD64
Posts: 3,897

Rep: Reputation: 173Reputation: 173
If you were running Debian you would need the libavcodec0d package perhaps it is named similarly.

Code:
HappyTux:/home/stephen# apt-file search  libavcodec.so
libavcodec-dev: usr/lib/libavcodec.so
libavcodec0d: usr/lib/libavcodec.so.0d
libavcodec0d: usr/lib/libavcodec.so.0d.51.8.0
HappyTux:/home/stephen# apt-file search libavutil.so
libavcodec-dev: usr/lib/libavutil.so
libavcodec0d: usr/lib/libavutil.so.0d
libavcodec0d: usr/lib/libavutil.so.0d.49.0.0
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Strange missing dependency when updating 01d55 Fedora 2 06-19-2006 02:28 AM
yum install kino - Missing Dependency: libavutil.so schlough Linux - Software 5 01-13-2006 09:07 PM
yum missing dependencY puppet Linux - Software 6 10-26-2005 10:20 AM
Error: Missing Dependency: libwpd-1.so.7 is needed by package abiword tmick Fedora 9 10-11-2005 12:06 PM
dependency: missing libnautilus.so.2 - but it's there sonaural Linux - Software 5 09-01-2005 05:43 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - General

All times are GMT -5. The time now is 07:03 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration